
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP单元测试利器 PHPUNIT初探第1/2页_php技巧 / iVAN</title>

    <meta name="description" content="PHP单元测试利器 PHPUNIT初探第1/2页_php技巧 当你遇到以上这些令你沮丧的情况时,你一定会想能有什么更好的办法去解决呢?办法当然是有的!这就是使用单元测试.单元测试不但可以在一定程度上解决上述头疼的问题,而且能让代码变的容易维护,还可以能让你更多地对代码进行重构. 一旦你编写好单元测试用例,当你需要修改你的代码时,你要做的事情就是重新运行你的单元测试用例并观察这些单元测试用例能否通过,如果通过了的话,证明代码是没问题的. 人们往往会说:既然单元测试这么好,为什么那么多人还是不大愿意去写单元测试呢?有以下几种理解上的误曲: 1.认为编写单元测试">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP单元测试利器 PHPUNIT初探第1/2页_php技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>当你遇到以上这些令你沮丧的情况时，你一定会想能有什么更好的办法去解决呢?办法当然是有的!这就是使用单元测试。单元测试不但可以在一定程度上解决上述头疼的问题，而且能让代码变的容易维护，还可以能让你更多地对代码进行重构。<br />
<br />　　一旦你编写好单元测试用例，当你需要修改你的代码时，你要做的事情就是重新运行你的单元测试用例并观察这些单元测试用例能否通过，如果通过了的话，证明代码是没问题的。</p>
<p>　　人们往往会说：既然单元测试这么好，为什么那么多人还是不大愿意去写单元测试呢?有以下几种理解上的误曲：</p>
<p>　　1、认为编写单元测试太浪费时间。虽然目前很多IDE工具都为编写单元测试建立好了框架，但还是要开发者编写一些单元测试的代码的。就象很多开发中的最佳实践一样，用正确的方法去做正确的事情会为开发节省大量的时间。每当新增加新功能时，你可能通过访问你的网页到处去点击手动测试，而运行建立好的单元测试用例其速度其实比通过手工去测试的速度更快。</p>
<p>　　2、认为既然代码能运行了，不需要再编写单元测试。但假设团队中有新的成员，如果没有良好的单元测试用例，新成员很有可能随意地去编码而不考虑各种后果。如果有编写良好的单元测试，在程序运行时进行各种测试，则能最大程度避免bug的产生。</p>
<p>　　3、认为编写单元测试代码枯燥无味。程序员的天性是解决问题，而很多程序员认为在紧张的编码工作时，还要编写单元测试代码，会很枯燥。但要知道的是，如果能通过编写单元测试在很早的阶段就能尽可能发现代码中多的错误的话，那么既节省时间减少了出错，何乐而不为?</p>
<p>　　<b>开始动手安装phpunit</b></p>
<p>　　本文中将通过介绍php中的单元测试利器phpunit(http://phpunit.de/),并通过实际例子来讲解如何在实际工作中运用phpunit。首先安装phpunit的方法可以通过php下的pear去安装：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">　　pear channel-discover pear.phpunit.de<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">　　pear channel-discover components.ez.no<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">　　pear channel-discover pear.symfony-project.com<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">    pear install phpunit/PHPUnit</p>
<p>　　如果你想通过手动方式去安装，可以参考phpunit的手册去安装(http://www.phpunit.de/manual/3.0/en/installation.html)。</p>
<p>　　<b>编写第一个单元测试用例</b></p>
<p>　　下面我们开始编写第一个单元测试用例。在编写测试用例时，要遵守如下的phpunit的规则：</p>
<p>　　1　一般地，在测试用例中，可以扩展PHPUnit_Framework_TestCase类，这样就可以使用象setUp(),tearDown()等方法了。</p>
<p>　　2 测试用例的名字最好是使用约定俗成的格式，即在被测试类的后面加上”Test”,比如要测试的类为RemoteConnect,则测试用例的命名为RemoteConnectTest。</p>
<p>　　3 在一个测试用例中的所有的测试方法，在命名时都应该以test+测试方法名去命名，如testDoesLikeWaffles(),要注意的是该方法必须是声明为public类型的。当然可以在你的测试用例中包含private的方法，但它们不能被phpunit所调用。</p>
<p>　　4 测试方法中是不能接收参数的。</p>
<p>　　下面首先举个简单的例子，代码如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">&lt;?php<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">class RemoteConnect<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">{<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">  public function connectToServer($serverName=null)<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">  {<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">    if($serverName==null){<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">      throw new Exception(“That's not a server name!”);<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">    }<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">    $fp = fsockopen($serverName,80);<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">    return ($fp) ? true : false;<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">  }<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">  public function returnSampleObject()<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">  {<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">    return $this;<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">  }<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">}<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">?&gt;</p>
<p> 　　上面的代码其实是实现连接到一个指定的服务器的功能，那么我们可以编写测试代码如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">&lt;?php<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">require_once('RemoteConnect.php');<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">class RemoteConnectTest extends PHPUnit_Framework_TestCase<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">{<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">  public function setUp(){ }<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">  public function tearDown(){ }<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">  public function testConnectionIsValid()<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">  {<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">    // test to ensure that the object from an fsockopen is valid<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">    $connObj = new RemoteConnect();<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">    $serverName = 'www.google.com';<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">    $this-&gt;assertTrue($connObj-&gt;connectToServer($serverName) !== false);<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">  }<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">}<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS9Ob25lLmdpZg==.jpg">?&gt;</p>
<p> 　　在上面的代码中，由于继承了PHPUnit_Framework_TestCase类，因此在setUp和tearDown方法中，不需要编写任何代码。SetUp方法是在每个测试用例运行前进行一些初始化的工作，而tearDown则在每个测试用例运行后进行一些比如资源的释放等工作。在测试方法中，通过使用phpunit的断言assertTrue去判断所返回的布尔值是否为真，这里是通过调用RemoteConnect.php中的connectToServe方法去判断能否连接上服务器。</p>
<p>当前1/2页 <strong>1</strong>2下一页阅读全文</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-06 05:24:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/phpunit/" title="phpunit">phpunit</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP单元测试利器 PHPUNIT初探第1/2页_php技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bogDBb.html" rel="bookmark">PHP单元测试利器 PHPUNIT初探第1&sol;2页</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当你遇到以上这些令你沮丧的情况时,你一定会想能有什么更好的办法去解决呢?办法当然是有的!这就是使用单元测试.单元测试不但可以在一定程度上解决上述头疼的问题,而且能让代码变的容易维护,还可以能让你更多地对代码进行重构. 一旦你编写好单元测试用例,当你需要修改你的代码时,你要做的事情就是重新运行你的单元测试用例并观察这些单元测试用例能否通过,如果通过了的话,证明代码是没问题的. 人们往往会说:既然单元测试这么好,为什么那么多人还是不大愿意去写单元测试呢?有以下几种理解上的误曲: 1.认为编写单元测试			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeYDVz.html" rel="bookmark">PHP单元测试利器 PHPUNIT深入用法&lpar;三&rpar;第1&sol;2页</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在本文中,笔者将为大家介绍phpunit中的两个高级概念和用法,尽管它不一定在你的日常单元测试中都用到,但理解和学会它们的用法对学习phpunit还是十分重要的. Phpunit中的Annotations 如果有其他编程语言经验的开发者,应该对Annotations(注解)不陌生,其实在phpunit中,一个简单的如下面的一段注释也可以认为是Annotations: &lt;?phpclass MyTestClass extends PHPUnit_Framework_TestCase{/*** Te			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0WeJ8b.html" rel="bookmark">PHP单元测试利器 PHPUNIT深入用法&lpar;三&rpar;第1&sol;2页&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在本文中,笔者将为大家介绍phpunit中的两个高级概念和用法,尽管它不一定在你的日常单元测试中都用到,但理解和学会它们的用法对学习phpunit还是十分重要的. Phpunit中的Annotations 如果有其他编程语言经验的开发者,应该对Annotations(注解)不陌生,其实在phpunit中,一个简单的如下面的一段注释也可以认为是Annotations: &lt;?phpclass MyTestClass extends PHPUnit_Framework_TestCase{/*** Te			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b24jNVp.html" rel="bookmark">PHP单元测试利器 PHPUNIT深入用法&lpar;二&rpar;第1&sol;2页&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.markTestSkipped和markTestIncomplete 在phpunit中,有两个有用的方法markTestSkipped和markTestIncomplete.它们能允许你编写的单元测试中不单是只有通过和失败两种结果.markTestSkipped能让PHPUNIT不去执行某个已经编写好的测试方法.举个例子说明,比如下面的程序: &lt;?phppublic function testThisMightHaveADb(){  $myObject-&gt;createObject(); 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlDrOM.html" rel="bookmark">初探PHP单元测试利器：PHPUnit</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你是否在程序开发的过程中遇到以下的情况:当你花了很长的时间开发一个PHP应用后,你认为应该是大功告成了,可惜在调试的时候,老是不断的发现bug,而且最可怕的是,这些bug是重复出现的,你可能发现这些bug之间会有关联,但却老是找不到问题的所在. 当你遇到以上这些令你沮丧的情况时,你一定会想能有什么更好的办法去解决呢?办法当然是有的!这就是使用单元测试.单元测试不但可以在一定程度上解决上述头疼的问题,而且能让代码变的容易维护,还可以能让你更多地对代码进行重构. 一旦你编写好单元测试用例,当你需要修			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPVvAb.html" rel="bookmark">PHP单元测试利器：PHPUNIT初探</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 你是否在程序开发的过程中遇到以下的情况:当你花了很长的时间开发一个应用后,你认为应该是大功告成了,可惜在调试的时候,老是不断的发现bug,而且最可怕的是,这些bug是重复出现的,你可能发现这些bug之间会有关联,但却老是找不到问题的所在. 当你遇到以上这些令你沮丧的情况时,你一定会想能有什么更好的办法去解决呢?办法当然是有的!这就是使用单元测试.单元测试不但可以在一定程度上解决上述头疼的问题,而且能让代码变的容易维护,还可以能让你更多地对代码进行重构. 一旦你编写好单元测试用例,当你需要修改你			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrlN4z.html" rel="bookmark">PHP单元测试利器：PHPUNIT深入用法&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一篇PHP单元测试利器:PHPUNIT初探文章中,我们对phpunit有了一个初步的认识,在本文中将继续深入讲解下phpunit中的一些用法. 1.markTestSkipped和markTestIncomplete 在phpunit中,有两个有用的方法markTestSkipped和markTestIncomplete.它们能允许你编写的单元测试中不单是只有通过和失败两种结果.markTestSkipped能让PHPUNIT不去执行某个已经编写好的测试方法.举个例子说明,比如下面的程序:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q8Kap.html" rel="bookmark">Windows下安装PHP单元测试环境PHPUnit图文教程&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.按照常规下载 php 的zip包和配置好 php.ini,这里的例子使用的是 E:\php 2.把你的 php 目录加入系统环境变量 path 中 3.开始 运行 输入 cmd,然后切换到你的 php 目录,我当前的就是 E:\php 4.输入 go-pear.bat 首先脚本会询问是把 pear 安装为系统范围的还是本地拷贝,这里我们默认选择系统,直接回车即可 5.这时显示当前的路径配置,并询问你是否修改,我们保持默认依然回车即可,回车后脚本就会开始自动安装 pear 库了 6.安装的时候			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5o1Kmb.html" rel="bookmark">使用XDebug调试及单元测试覆盖率分析&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天我就就自己对XDebug使用的一些体验做一小段分享.XDebug也是因为需要是用来生成覆盖率分析文件才安装的,刚接触不久,平时用的也不是很频繁,但是这个的确是一个好工具,如果想要依赖它来分析程序的性能还是需要自己亲手去试试.具体它有多好,请听我一一道来. &lt;?XML:NAMESPACE PREFIX = O /&gt;   &lt;!--[if !supportLists]--&gt;一.&lt;!--[endif]--&gt;安装篇(XDebug 和PHPUnit) A:安装XDebug: X			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3WmbA.html" rel="bookmark" class="title">交互设计指南系列一：我们眼中的交互设计</a>
					<div>
						交互设计(Interaction Design, 缩写 IxD 或者 IaD),是定义.设计人造系统的行为的设计领域.人造物,即人工制成物品,例如,软件.移动设备.人造环境.服务.可佩带装置以及系统的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqZWKp.html" rel="bookmark" class="title">使DATAGRID中的日期按长日期格式显示</a>
					<div>
						datagrid|显示   环境:Win2000,vb.net 2002,.net framework 1.0,sql server 2000 在默认情况下DATAGRID显示的SQL SERVER  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKKGmM.html" rel="bookmark" class="title">玩转Silverlight控件（四）&mdash;&mdash;Grid布局</a>
					<div>
						在这一节,我主要来介绍Silverlight的Grid布局. 先来让我们复习一下HTML的Table布局. 在这里这么说:Table布局只是为了为Grid来做个铺垫.因为我们知道,Table是为了容纳 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwE9qz.html" rel="bookmark" class="title">PS绘制梦幻冰雪童话世界效果</a>
					<div>
						教程向三联的朋友们介绍利用PS绘制梦幻冰雪童话世界效果.教程中结合渐变.蒙版等工具,将精灵.雪景.女孩等元素呈现在作品中.难度较大,建议中高级PS学习者学习,希望大家喜欢! 最终效果图:   构思 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB7q5b.html" rel="bookmark" class="title">PS合成超酷的雪人灌篮动作技巧</a>
					<div>
						雪人的合成过程也不复杂,大致由三个大的步骤.首先选好背景,把人物单独抠出来并调整好颜色.然后选择一些冰纹素材叠加到人物上面,做出冰冻效果.最后增加细节等即可. 教程最终效果 &lt;点小图查看大图&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2NXab.html" rel="bookmark" class="title">电影DVDscr版是什么意思？具有什么特点？</a>
					<div>
						你是否在一些电影网站上看电影的时候发现一些播放按钮被标注DVDscr版?而且这些电影通常是比较新的,是最近才放映出来的.那么这个DVDscr版是什么意思呢? DVDscr(DVD Screener)是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3N3Z3z.html" rel="bookmark" class="title">易改如何纠错&quest;</a>
					<div>
						第一步 输入文本 您可以在文本框中手动输入英语文本,或通过复制/粘贴把文本复制到窗口,也可以点击菜单栏的&quot;文件 – 打开文本文档&quot;(快捷键 Ctrl+O)直接导入您要检查的英语文本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrxa5p.html" rel="bookmark" class="title">Linux下SSH Session复制功能实现方法</a>
					<div>
						  特别感谢阿干同学的邮件分享. 详细方法 代码如下: Linux/mac下,在$HOME/.ssh/config中加入 Host * ControlMaster auto ControlPath / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4JA8p.html" rel="bookmark" class="title">ADSafe广告管家使用方法</a>
					<div>
						一.新手入门 ADSafe运行后,单击右下角托盘图标,弹出界面如下.在&quot;首页&quot;选项卡,点击&quot;一键设置广告过滤&quot;按钮,ADSafe即可达到最佳广告过滤效果.如下图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3AYjp.html" rel="bookmark" class="title">为什么Win7系统桌面背景图片更改不了？</a>
					<div>
						Windows7系统使用中,想要完美下自己的电脑桌面背景时,遇到桌面背景图片不能更改,这是为什么呢?对此问题雨林木风win7系统深刻研究了几种方法来给用户参考: 方法一: 1.首先将所有的启动项禁用, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9ED54M.html" rel="bookmark" class="title">U盘文件不见了怎么办？</a>
					<div>
						  U盘文件不见了怎么办?U盘是不少小伙伴日常工作的好帮手,有时候不仅重要的文件会保存在U盘里,甚至一些私人的文件也可以存放在U盘里.但是U盘内的文件不见的话,也会造成很大的困扰噢,接下来就让小编为大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLGdEb.html" rel="bookmark" class="title">传FTC两周内或起诉谷歌涉嫌垄断</a>
					<div>
						  据国外媒体报道,消息人士周一透露,美国联邦贸易委员会(FTC)主席乔纳森.雷博维茨(Jonathan Leibowitz)正在向谷歌施压,要求后者在几天内提供该委员会反垄断调查的解决方案,否则谷歌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZJ8Dz.html" rel="bookmark" class="title">FoodMafia：帮助吃货寻找朋友</a>
					<div>
						近日,据相关媒体报道,一名正宗的吃货要善于挖掘一切美食,而志同道合的吃货还可以在一起.那么怎样才能找到最适合自己口味的餐厅和菜肴呢?社交美食应用Food Mafia将会帮您实现这个心愿,帮助广大吃货寻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNWeDz.html" rel="bookmark" class="title">jQuery插件animateSlide制作多点滑动幻灯片&lowbar;jquery</a>
					<div>
						首页banner的酷炫效果多来自全屏大图的幻灯片动画,下面提供一种完美兼容的jquery动画特效:全新jquery多点滑动幻灯片--全屏动画animateSlide(代码完全原创). 直接上代码,把h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrY7NM.html" rel="bookmark" class="title">OSS常用工具汇总</a>
					<div>
						  OSS除了控制台还有以下常用工具,可以帮助您更高效的使用OSS. 工具 简介 备注 OSS控制台客户端(驻云) 图像化界面工具,提供基本的Bucket管理功能.较为完备的Object管理功能. 官 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQn5qp.html" rel="bookmark" class="title">从幼苗长成大树 中美两国GIS软件技术已并驾齐驱</a>
					<div>
						&quot;当我走进这个大会场,特别登上这个讲台的时候,感到非常的激动.20多年前,这个会场还是一片高粱地,那个时候我每天从四环南面的苇子坑骑着自行车从这里走过,到中科院地理所上班.中科院地理所是我国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVglBb.html" rel="bookmark" class="title">【3万患者11万图像14类病理】NIH公开大规模胸部X光数据集</a>
					<div>
						胸部X光检查是最常见而且最具成本效益的医学影像检查之一.但是,胸部X光检查的临床诊断很具挑战性,有时被认为比胸部CT成像更难诊断.过去一些有前景的工作已经被报道过,特别是最近在结核病(TB)分类方面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40NALz.html" rel="bookmark" class="title">剖析大数据平台的数据处理</a>
					<div>
						无论是采集数据,还是存储数据,都不是大数据平台的最终目标.失去数据处理环节,即使珍贵如金矿一般的数据也不过是一堆废铁而已.数据处理是大数据产业的核心路径,然后再加上最后一公里的数据可视化,整个链条就算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKKA7b.html" rel="bookmark" class="title">C&num;调用非静态类中的静态方法的问题</a>
					<div>
						问题描述 学习中一直强调的是,静态方法用类名去调用,非静态方法需要实例化一个类用类名去调用,但是却很少说过,这个是否是静态的方法所在的类是否是静态的问题.我发现,如果在一个非静态类中,有一个静态的方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5Xj6M.html" rel="bookmark" class="title">老司机保驾护航，让你的网络安全之行多一层保障&nbsp;- 冯磊</a>
					<div>
						XSS(跨站脚本攻击) 最常见的是cookie劫持,简单来说就是我们用浏览器登录一个网站,主要是用存在客户端浏览器里的cookie来保存客户唯一标识的令牌,在Java写就的网站里,是一个jsessio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Am9Zz.html" rel="bookmark" class="title">IBM收购DemandTec 扩大云分析智慧商务方案</a>
					<div>
						4月16日消息,IBM公司和DemandTec近日宣布双方已签订最终收购协议,IBM 将按每股 13.2 美元.现金调整后约 4.4 亿美元的净价格,并以全现金交易方式收购 DemandTec. 收购 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBQ4oM.html" rel="bookmark" class="title">java-发送一个 arraylist 到 parent activity</a>
					<div>
						问题描述 发送一个 arraylist 到 parent activity 我想发送一个 arraylist 到 parent activity private ArrayList&lt;Receip ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRlJAb.html" rel="bookmark" class="title">应用程序启动速度优化</a>
					<div>
						Mac OS/Android下的Static Initializer Mozilla工程师通过优化Static Initializer(静态初始化,或全局建构函数, Global Constructo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBWX6z.html" rel="bookmark" class="title">《C&num;并发编程经典实例》&mdash;&mdash; 用限流和抽样抑制事件流</a>
					<div>
						声明:本文是&lt;C#并发编程经典实例&gt;的样章,感谢图灵授权并发编程网站发布样章,禁止以任何形式转载此文. 问题 有时事件来得太快,这是编写响应式代码时经常碰到的问题.一个速度太快的事件流可导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqdR1b.html" rel="bookmark" class="title">Android API Guide 之 User Interface笔记</a>
					<div>
						  一.Layouts 1  在XML中,标签名对应于代码中的类名,属性名对应于代码中的方法名 2 android:id=&quot;@+id/start&quot; @ 让XML解析器知道后面的字符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JQkAz.html" rel="bookmark" class="title">人人网携手优酷土豆试图挽回SNS平台的颓势</a>
					<div>
						号称&quot;中国版Facebook&quot;的人人网(RENN.NYSE),正试图挽回SNS平台的颓势.日前,人人网宣布和优酷土豆集团(YOKU.NYSE)达成战略合作伙伴关系,双方将充分共享各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YXD3z.html" rel="bookmark" class="title">Oracle ASM 翻译系列第二十三弹：ASM Internal ASM files number 12 and 254</a>
					<div>
						ASM files number 12 and 254 staleness directory是ASM元信息的12号文件,包含了可以把staleness registry中的槽位映射给特定磁盘和客户端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jvX4p.html" rel="bookmark" class="title">Webpack 实现 AngularJS 的延迟加载&lowbar;AngularJS</a>
					<div>
						随着你的单页应用扩大,其下载时间也越来越长.这对提高用户体验不会有好处(提示:但用户体验正是我们开发单页应用的原因).更多的代码意味着更大的文件,直到代码压缩已经不能满足你的需求,你唯一能为你的用户做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWmG0p.html" rel="bookmark" class="title">关于javaweb项目中图片显示问题</a>
					<div>
						问题描述 关于javaweb项目中图片显示问题 我的图片放在images包下,在webroot在有个login的jsp页面,里面css设置图片路径 这么放置的时候能访问到我想在外面访问,这么改back ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2R1Oz.html" rel="bookmark" class="title">中国石油钻机开始&quot;驾船出海&quot;</a>
					<div>
						随着我国海外油气技术服务和勘探开发业务的不断扩大,中国石油钻机出口走过了&quot;借船出海&quot;的海外开拓历程.一个多月前,我国石油设备出口企业获得了向阿曼国家钻井公司出口首部重型石油钻机的合 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
